Skip to main content
POST
Add WhatsApp sender

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Path Parameters

businessAccountId
integer<int64>
required

WhatsApp Business Account Id.

Body

application/json
countryCode
string
required

Country code of the phone number.

Minimum string length: 1
Example:

"44"

phoneNumber
string
required

Phone number to add.

Minimum string length: 1
Example:

"7796344125"

displayName
string
required

Display name of the phone number.

Minimum string length: 1
Example:

"Phonovation"

type
enum<string>
required

Type of the phone number. It specifies verification type.

Available options:
EXTERNAL_SMS,
EXTERNAL_VOICE
Example:

"EXTERNAL_SMS"

locale
string
default:en_US
required

Locale which will be used to submit for verification.

Example:

"en_US"

Response

Sender accepted for verification, if it is already verified it will be submitted for registration.

status
enum<string>
required

Add phone number status.

Available options:
SUBMITTED_FOR_REGISTRATION,
OTP_REQUESTED
Example:

"SUBMITTED_FOR_REGISTRATION"